Project

Profile

Help

Issue #6755

closed

pulpcore-manager error "You must specify the CONTENT_ORIGIN setting"

Added by swisscom about 2 years ago. Updated about 2 years ago.

Status:
CLOSED - NOTABUG
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
3. High
Version:
Platform Release:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Quarter:

Description

Hi, I installed, on a freshly built CentOS 7 VM, Pulp using Ansible installer, and got the following error when trying to run pulpcore-manager (when trying to install pulp_deb plugin). Simply running pulpcore-manager command runs the following error :

PLAY RECAP ********************************************************************************************************************************* localhost : ok=95 changed=52 unreachable=0 failed=0 skipped=47 rescued=0 ignored=0

[root@labsvpulp01p pulp_installer]# pulpcore-manager migrate --noinput -bash: pulpcore-manager: command not found [root@labsvpulp01p pulp_installer]# logout Connection to 10.30.0.200 closed. [azppsx02@lwrcentos1 ~]$ ssh -A root@10.30.0.200 Last failed login: Sat May 16 19:54:39 CEST 2020 from 222.186.42.137 on ssh:notty There were 6 failed login attempts since the last successful login. Last login: Sat May 16 19:53:57 2020 from localhost [root@labsvpulp01p ~]# pulpcore-manager migrate --noinput -bash: pulpcore-manager: command not found [root@labsvpulp01p ~]# find . -name pulpcore-manager [root@labsvpulp01p ~]# find / -name pulpcore-manager /usr/local/lib/pulp/bin/pulpcore-manager [root@labsvpulp01p ~]# su - ^C [root@labsvpulp01p ~]# su - pulp This account is currently not available. [root@labsvpulp01p ~]# usermod -s /bin/bash pulp [root@labsvpulp01p ~]# su - pulp Last login: Sat May 16 19:59:19 CEST 2020 on pts/0 [pulp@labsvpulp01p ~]$ pulpcore-manager migrate --noinput -bash: pulpcore-manager: command not found [pulp@labsvpulp01p ~]$ /usr/local/lib/pulp/bin/pulpcore-manager Traceback (most recent call last): File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/settings.py", line 246, in CONTENT_ORIGIN NameError: name 'CONTENT_ORIGIN' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/local/lib/pulp/bin/pulpcore-manager", line 8, in sys.exit(manage()) File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/manage.py", line 11, in manage execute_from_command_line(sys.argv) File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/init.py", line 381, in execute_from_command_line utility.execute() File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/init.py", line 357, in execute django.setup() File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/init.py", line 24, in setup apps.populate(settings.INSTALLED_APPS) File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/apps/registry.py", line 122, in populate app_config.ready() File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 81, in ready self.import_viewsets() File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 109, in import_viewsets from pulpcore.app.viewsets import NamedModelViewSet File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/viewsets/init.py", line 1, in from .base import ( # noqa File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/viewsets/base.py", line 16, in from pulpcore.app import tasks File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/tasks/init.py", line 1, in from pulpcore.app.tasks import base, repository, upload # noqa File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/tasks/repository.py", line 9, in from pulpcore.app import models, serializers File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/serializers/init.py", line 40, in from .exporter import ( # noqa File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/serializers/exporter.py", line 7, in from pulpcore.app import models, settings File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/settings.py", line 248, in raise ImproperlyConfigured(_('You must specify the CONTENT_ORIGIN setting.')) django.core.exceptions.ImproperlyConfigured: You must specify the CONTENT_ORIGIN setting. [pulp@labsvpulp01p ~]$ cat /etc/pulp/settings.py SECRET_KEY = "secret" CONTENT_ORIGIN = "http://labsvpulp01p.cso-lab.lan" DATABASES = {"default": {"ENGINE": "django.db.backends.postgresql_psycopg2", "HOST": "localhost", "PASSWORD": "pulp", "NAME": "pulp", "USER": "pulp"}}

Environment info : [root@labsvpulp01p ~]# grep release /etc/centos-release* /etc/centos-release:CentOS Linux release 7.8.2003 (Core) [root@labsvpulp01p ~]# ansible --version ansible 2.9.7

Thanks for your help

Actions #1

Updated by swisscom about 2 years ago

Issue can be closed, There was an issue with symlink to the configuration file...

Actions #2

Updated by fao89 about 2 years ago

  • Status changed from NEW to CLOSED - NOTABUG
Actions #3

Updated by bmbouter about 2 years ago

  • Category deleted (24)

Also available in: Atom PDF